// Hover Top Menu Flip

.btn-flip {

    &:hover {

        &:after {
            opacity: 1;
            transform: translateY(0) rotateX(0);
        }

        &:before {
            opacity: 0;
            transform: translateY(-50%) rotateX(0deg);
        }
    }

    &:after {
        opacity: 0;
        color: $red-color_bg;
        transition: $speed;
        top: 0;
        display: block;
        position: absolute;
        content: attr(data-back);
        transform: translateY(50%) rotateX(0deg);
    }

    &:before {
        opacity: 1;
        top: 0;
        display: block;
        transition: $speed;
        position: relative;
        content: attr(data-front);
        transform: translateY(0) rotateX(0);
    }
}